"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Header = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeStatusBarHeight = require("react-native-status-bar-height");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var updatedChildren;
const Left = props => {
  const {
    children,
    style
  } = props;
  let leftStyle = [styles.sideBar, style];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: leftStyle
  }, children);
};
const Right = props => {
  const {
    children,
    style
  } = props;
  let rightStyle = [styles.sideBar, style];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: rightStyle
  }, children);
};
const Body = props => {
  const {
    children,
    style
  } = props;
  let bodyStyle = [styles.body, style];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: bodyStyle
  }, children);
};
class Header extends _react.Component {
  static Left = Left;
  static Right = Right;
  static Body = Body;
  spaceManager = spaceData => {
    let tempArr = [];
    spaceData.filter(item => {
      const {
        props,
        type
      } = item;
      if (type.name === 'Right' || type.name === 'Left') {
        if (props.style && props.style.width) {
          tempArr = [...tempArr, item];
        }
      }
    });
    if (tempArr.length > 1) {
      const maxPeak = tempArr.reduce((p, c) => p.props.style.width > c.props.style.width ? p : c);
      let converInNumber = maxPeak.props.style.width.substring(0, maxPeak.props.style.width.length - 1);
      let maxSize = Number(converInNumber);
      let multiplySize = Number(maxSize) * 2;
      let availableSpace = 100 - multiplySize;
      spaceData.map(val => {
        const {
          type
        } = val;
        if (type.name === 'Right' || type.name === 'Left') {
          val.props.style.width = maxSize <= 15 ? '15%' : maxSize <= 20 ? maxSize.toString().concat('%') : '20%';
        } else {
          val.props.style.width = maxSize <= 15 ? '70%' : maxSize <= 20 ? availableSpace.toString().concat('%') : '60%';
        }
        updatedChildren = spaceData;
      });
    } else {
      updatedChildren = spaceData;
    }
    // updatedChildren = spaceData
  };
  headerManager = children => {
    let newArr = [];
    if (children !== undefined && Array.isArray(children)) {
      children.map(val => {
        newArr.push(val.type.name);
      });
      if (newArr.includes('Body') && newArr.includes('Right')) {
        styles.mainContainer = {
          ...styles.mainContainer,
          justifyContent: 'flex-end'
        };
        updatedChildren = children;
      } else if (newArr.includes('Left') && newArr.includes('Right')) {
        styles.mainContainer = {
          ...styles.mainContainer,
          justifyContent: 'space-between'
        };
        updatedChildren = children;
      } else if (newArr.includes('Left') && newArr.includes('Body')) {
        styles.mainContainer = {
          ...styles.mainContainer,
          justifyContent: 'flex-start'
        };
        updatedChildren = children;
      }
      this.spaceManager(children);
    } else {
      if (children !== undefined && children.type.name === 'Body') {
        styles.mainContainer = {
          ...styles.mainContainer,
          justifyContent: 'center'
        };
        styles.body = {
          ...styles.body
        };
        updatedChildren = children;
      } else if (children !== undefined && children.type.name === 'Right') {
        styles.mainContainer = {
          ...styles.mainContainer,
          justifyContent: 'flex-end'
        };
        updatedChildren = children;
      } else if (children !== undefined && children.type.name === 'Left') {
        styles.mainContainer = {
          ...styles.mainContainer,
          justifyContent: 'flex-start'
        };
        updatedChildren = children;
      } else {
        styles.mainContainer = {
          ...styles.mainContainer,
          justifyContent: 'center'
        };
        updatedChildren = children;
      }
    }
  };
  render() {
    const {
      children,
      style,
      statusBarBackground
    } = this.props;
    this.headerManager(children);
    let headerStyle = [styles.mainContainer, style];
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [styles.statusBar, {
        backgroundColor: statusBarBackground
      }]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, _extends({
      translucent: true,
      backgroundColor: statusBarBackground
    }, this.props))), /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({}, this.props, {
      style: headerStyle
    }), updatedChildren));
  }
}
exports.Header = Header;
const styles = _reactNative.StyleSheet.create({
  mainContainer: {
    height: _reactNative.Platform.OS === 'ios' ? 44 : 48,
    backgroundColor: '#009999',
    alignItems: 'center',
    flexDirection: 'row'
  },
  statusBar: {
    height: (0, _reactNativeStatusBarHeight.getStatusBarHeight)()
  },
  sideBar: {
    width: '15%',
    justifyContent: 'center',
    alignItems: 'center',
    height: '100%',
    padding: 5
  },
  body: {
    width: '70%',
    justifyContent: 'center',
    alignItems: 'center',
    height: '100%',
    alignSelf: 'center'
  }
});
//# sourceMappingURL=Header.js.map